#!/usr/bin/env python3

# -*- coding: utf-8 -*-

"""
Description: Populate the gin database
"""

from .config import Config
from ..logging_conf import logging_def
from .db_creation import main_create_db
from .fill_exon_n_gene_table import main_fill_exon_n_gene
from .fill_splicing_lore_tables import fill_splicing_lore_data
import logging


def launcher(logging_level: str = "INFO"):
    """
    Create and fill the database
    """
    logging_def(Config.db_file.parent, __file__, logging_level)
    logging.info('Database creation')
    main_create_db('DISABLE')
    logging.info('Filling cin_gene and cin_exon')
    main_fill_exon_n_gene('DISABLE')
    logging.info('Filling splicing lore tables')
    fill_splicing_lore_data('DISABLE')


launcher(logging_level="DEBUG")
